New mremap bug

Jonas Norlander jonas.norlander at ovikonline.com
Wed Feb 18 14:33:25 PST 2004


On Wed, Feb 18, 2004 at 03:07:12PM -0500, Billy O'Connor wrote:
> Jonas Norlander <jonas.norlander at ovikonline.com> writes:
> 
> > Do I need to worry?
> 
> Yes.  That's the same I get.

Yes it looks so!

But I don't understand why? Don't grsecurity use some pathes from Open Wall
and if kernels with Open Wall patches is not vulnerable why are mine with
grsecurity that?


I just saw that there are mixed reports on the grsecurity forum
http://forums.grsecurity.net/viewtopic.php?t=702 if kernel with grsecurity is
vuln. or not.

grsecurity 1.9.13 for 2.4.24 won't patch cleanly to 2.4.25 and 1.9.14 pre-release
wont compile the kernel.

Guess i shuting down remote access until its sorted out.

/Jonas



More information about the lfs-security mailing list